package com.sheep.gamegroup.model.entity;

import com.sheep.gamegroup.event.EventTypes;
import com.sheep.gamegroup.greendao.download.DownLoadInfo;

import java.io.Serializable;

/**
 * 弹框 实体类
 * Created by ljy on 2018/4/27.
 */

public class DialogEntity implements Serializable {

    private String title;
    private String context;
    private String sure;
    private String cancel;
    private String busType;
    private EventTypes eventTypes;
    private DownLoadInfo downLoadInfo;
    private String type;

    public DialogEntity(String title, String context, String sure, String cancel, EventTypes eventTypes) {
        this.title = title;
        this.context = context;
        this.sure = sure;
        this.cancel = cancel;
        this.eventTypes = eventTypes;
    }
    public DialogEntity(String title, String context, String sure, String cancel, EventTypes eventTypes, String type) {
        this.title = title;
        this.context = context;
        this.sure = sure;
        this.cancel = cancel;
        this.type = type;
    }

    public DialogEntity(String title, String context, String sure, String cancel, String busType, EventTypes eventTypes, DownLoadInfo downLoadInfo) {
        this.title = title;
        this.context = context;
        this.sure = sure;
        this.cancel = cancel;
        this.busType = busType;
        this.eventTypes = eventTypes;
        this.downLoadInfo = downLoadInfo;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public DownLoadInfo getDownLoadInfo() {
        return downLoadInfo;
    }

    public void setDownLoadInfo(DownLoadInfo downLoadInfo) {
        this.downLoadInfo = downLoadInfo;
    }

    public EventTypes getEventTypes() {
        return eventTypes;
    }

    public void setEventTypes(EventTypes eventTypes) {
        this.eventTypes = eventTypes;
    }

    public String getBusType() {
        return busType;
    }

    public void setBusType(String busType) {
        this.busType = busType;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContext() {
        return context;
    }

    public void setContext(String context) {
        this.context = context;
    }

    public String getSure() {
        return sure;
    }

    public void setSure(String sure) {
        this.sure = sure;
    }

    public String getCancel() {
        return cancel;
    }

    public void setCancel(String cancel) {
        this.cancel = cancel;
    }
}
